Bug 984880 - When running DSP 6.0 dashboard on non-english system locale, dashboard will throw an exception
When running DSP 6.0 dashboard on non-english system locale, dashboard will t...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Dashboard Builder (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ER2
: 6.0
Assigned To: Van Halbert
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 05:23 EDT by Filip Elias
Modified: 2014-07-09 01:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:37:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4067 Major Resolved Using dashboard on non-english system locale, dashboard will throw an exception. 2014-01-09 23:42:41 EST

  None (edit)
Description Filip Elias 2013-07-16 05:23:56 EDT
Description of problem:

When running DSP 6.0 dashboard on non-english system locale, dashboard will throw an exception.

Steps to reproduce:

1,Set system locale to German : export LC_ALL=de_DE.UTF-8
2,Start DSP 6.0
3,Go to http://localhost:8080/teiid-dashboard/

Exception: 
org.apache.jasper.JasperException: java.util.MissingResourceException: Can't find bundle for base name org.jboss.dashboard.login, locale de_DE
	org.apache.jasper.servlet.JspServletWrapper.service(JspServletWrapper.java:409)
	org.apache.jasper.servlet.JspServlet.serviceJspFile(JspServlet.java:309)
	org.apache.jasper.servlet.JspServlet.service(JspServlet.java:242)
	javax.servlet.http.HttpServlet.service(HttpServlet.java:847)
Comment 1 JBoss JIRA Server 2013-07-16 10:49:34 EDT
David Gutierrez <dgutierr@redhat.com> updated the status of jira JBPM-4067 to Resolved
Comment 2 JBoss JIRA Server 2013-07-16 10:49:34 EDT
David Gutierrez <dgutierr@redhat.com> made a comment on jira JBPM-4067

This issue is already fixed.
In fact it's a duplicated of the following Bugzilla:

BZ 973030 - Exception on login page when user logs in with locale different from "en or "es" => https://bugzilla.redhat.com/show_bug.cgi?id=973030

Here is the fix on github: https://github.com/droolsjbpm/dashboard-builder/commit/454199b56d9ac362c97927c8c596f476a198cf12
Comment 6 Filip Elias 2013-11-15 04:24:23 EST
Verified on DV6 ER3

Note You need to log in before you can comment on or make changes to this bug.